> For the complete documentation index, see [llms.txt](https://docs.oxapay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oxapay.com/legacy/api-reference/merchant-status-table.md).

# Merchant status table

These are the possible payment statuses that you may encounter while using the OxaPay Merchant API. Each status indicates the progress of the payment process and helps you track and manage the payments effectively.

<table><thead><tr><th width="216">Status</th><th>Description</th></tr></thead><tbody><tr><td>Expired</td><td>Payer did not pay within the required time (default: 20 minutes) and the invoice expired.</td></tr><tr><td>New</td><td>Newly created invoice. The payer has not yet selected the payment currency.</td></tr><tr><td>Waiting</td><td>Payer selected the payment currency. Awaiting payment.</td></tr><tr><td>Confirming</td><td>Payer transferred the payment for the invoice. Awaiting blockchain network confirmation.</td></tr><tr><td>Paid</td><td>Payment is confirmed by the network and has been credited to the merchant. Purchased goods/services can be safely delivered to the payer.</td></tr><tr><td>Failed</td><td>The transaction failed.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oxapay.com/legacy/api-reference/merchant-status-table.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
